For better skype for business meeting experience, your account should be hosted on the following versions of Exchange:
  • Exchange 2010
  • Exchange 2013
  • Exchange 2016

Note: Exchange 2007 does not support Skype for Business.

See instructions on how to connect Skype for Business/Lync on different platforms:

What do you want to do?

If the guide is not working for you, please review the full text of the articles: